;;; $B8@8l4D6-$N;XDj(B
(set-language-environment "Japanese")

;;; $B4A;z%3!<%I$N;XDj(B
(set-default-coding-systems 'euc-jp)
(set-buffer-file-coding-system 'euc-jp-unix)
(set-terminal-coding-system 'euc-jp)
(set-keyboard-coding-system 'euc-jp)

;;emacs$B$N5/F0;~$N%a%C%;!<%8$rHsI=<((B
(setq inhibit-startup-message t)

;;$B%a%?%-!<$r(Boption$B%-!<$K@_Dj(B
(setq mac-command-key-is-meta nil)

;; exec-path $B$NDI2C(B
(setq exec-path (cons "/usr/local/bin" exec-path))
(setenv "PATH"
(concat '"/usr/local/bin:" (getenv "PATH")))

;; shell-command $B;~$N%G%U%)%k%H(B shell
(setq shell-file-name "tcsh")

;; Terminal $B$+$i5/F0$9$k>l9g$O(B MenuBar $BHsI=<((B
(if window-system (menu-bar-mode 1) (menu-bar-mode -1))

(if (eq window-system 'mac) (progn
  ;; $B$3$H$($j(B inline $BF~NO@_Dj(B
  (utf-translate-cjk-mode t) 
;  (set-keyboard-coding-system 'sjis-mac) 
;  (set-clipboard-coding-system 'sjis-mac)
  (set-keyboard-coding-system 'euc-mac) 
  (set-clipboard-coding-system 'euc-mac)

  ;; Carbon $B%"%W%jMQ%/%j%C%W%\!<%I@_Dj(B
  (setq interprogram-cut-function 
	'(lambda (str push) 
	      (mac-cut-function
	           (encode-coding-string str selection-coding-system t) push))) 
  (setq interprogram-paste-function 
	'(lambda () 
	      (decode-coding-string
	           (mac-paste-function) selection-coding-system t)))
  (set-keyboard-coding-system 'sjis-mac)


  ;; $B%U%)%s%H@_Dj(B
  (require `fontset)
  (create-fontset-from-fontset-spec
   (concat 
    "-*-fixed-medium-r-normal-*-11-*-*-*-*-*-fontset-monaco12,"
    "japanese-jisx0208:-apple-osaka-medium-r-normal--14-140-*-m-140-jisx0208.1983-sjis," ;
    "ascii:-apple-monaco-medium-r-normal-*-12-*-*-*-*-*-mac-roman"))
  (create-fontset-from-fontset-spec
   (concat 
    "-*-fixed-medium-r-normal-*-12-*-*-*-*-*-fontset-hiragino12," 
    "japanese-jisx0208:-apple-$B%R%i%.%N4]%4(B pro w4-medium-r-normal--13-130-75-75-m-130-jisx0208.1983-sjis,"
    "ascii:-apple-monaco-medium-r-normal-*-12-*-*-*-m-*-mac-roman,"
    ))
  (setq default-frame-alist (append '((font . "fontset-hiragino12"))))
))

;;; $B0l9T$,(B 80 $B;z0J>e$K$J$C$?;~$K$O<+F02~9T$9$k(B
(setq fill-column 80)
(setq text-mode-hook 'turn-on-auto-fill)
(setq default-major-mode 'text-mode)

;; $B0J2<$N@_Dj$@$H(B Delete , Ctrl-h $B6&$KA00lJ8;z:o=|$H$J$k(B 
(global-unset-key "\^H")
(global-set-key "\^H" 'delete-backward-char)



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; $B$+$s$J$N@_Dj(B
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq emacs-ime "canna")

(if (and (boundp 'CANNA) CANNA) ; $B!X$+$s$J(B/emacs$B!Y$G$"$k$3$H$r3NG'(B
    (progn
      (load-library "canna")
      (canna)

      (setq canna-use-color t)

      (global-set-key "?C-_" 'canna-undo)  ;$B%"%s%I%%$N@_Dj!#(B
      (setq canna-save-undo-text-predicate ;$B%"%s%I%%%P%C%U%!$XF~$l$k>r7o(B
            '(lambda (s) (> (length (car s)) 2)) )
      (setq canna-undo-hook ;$B%"%s%I%%!\&A!#(B
            '(lambda () (message "$B:FJQ49$7$^$9(B....")                          
               (canna-do-function canna-func-henkan)) )
))


;; Yatex $B$N@_Dj(B
;;
;(setq load-path (cons "/usr/local/share/emacs/site-lisp/yatex" load-path))
(setq auto-mode-alist
(cons (cons "??.tex$" 'yatex-mode) auto-mode-alist))
(autoload 'yatex-mode "yatex" "Yet Another LaTeX mode" t)
;; kanji code 1=sjis, 2=jis, 3=euc(default=2)
(setq YaTeX-kanji-code 3)

;; YaHtml $B$N@_Dj(B
;;
(setq auto-mode-alist
(cons (cons "??.html$" 'yahtml-mode) auto-mode-alist))
(autoload 'yahtml-mode "yahtml" "Yet Another HTML mode" t)
(setq yahtml-always-/p t)

;; kanji code 1=sjis, 2=jis, 3=euc(default=2)
(setq yattex-kanji-code 3)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; X $BHG(B Emacs/Mule $B$G?'$rIU$1$k(B
;; color-mate $B$r;H$o$J$$;~$K$O$3$A$i$r$I$&$>(B
(cond
((and window-system (>= (string-to-int emacs-version) 19))
(setq hilit-mode-enable-list  nil
    hilit-background-mode   'light
    hilit-inhibit-hooks     nil
    hilit-inhibit-rebinding nil)
(require 'hilit19)
;;
(add-hook 'mew-message-hook
	  'hilit-rehighlight-buffer-quietly)
(hilit-set-mode-patterns 
'(mew-message-mode)
'(("^Subject:.*$" nil msg-subject)
 ("^From:.*$" nil msg-from)
 ("^X-.*:.*$" nil msg-quote)
 ("^>.*$" nil msg-quote)
 ("^[A-Za-z][A-Za-z0-9-]+:" nil msg-header)))
(add-hook 'mew-draft-mode-hook
	  'hilit-rehighlight-buffer-quietly)
(hilit-set-mode-patterns 
'(mew-draft-mode)
'(("^Subject:.*$" nil msg-subject)
 ("^From:.*$" nil msg-from)
 ("^>.*$" nil msg-quote)
 ("^[A-Za-z][A-Za-z0-9-]+:" nil msg-header)))
))


;; $B:G=i$K3+$/%U%)%k%@(B
;;
(cd "~/")

;; ispell
;;
;;(setq ispell-program-name "/usr/local/bin/ispell")
;;(setq ispell-dictionary-alist "/usr/local/share/ispell/US-xl")
;;(setq ispell-alternate-dictionary "/usr/local/share/ispell")
(setq ispell-dictionary-alist "americanxlg")

;;
;;lookup
;;
(autoload 'lookup "lookup" nil t)
(autoload 'lookup-region "lookup" nil t)
(autoload 'lookup-pattern "lookup" nil t)

(setq lookup-search-agents
'((ndtp "localhost") (ndspell)))
(setq lookup-use-bitmap t)
(setq lookup-enable-gaiji t)

(define-key global-map [(control c) (control e)]
'lookup-pattern)
(define-key global-map [(control c) e]
'lookup-region)



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; $B$3$N%U%!%$%k$K4V0c$$$,$"$C$?>l9g$KA4$F$rL58z$K$7$^$9(B                   
(put 'eval-expression 'disabled nil)                                     

